
<div class="bg-#2E2C2C rounded text-white relative w-full ">

    <!-- Carousel wrapper -->
    
    <div class="grid grid-cols-1 lg:grid-cols-2 lg:gap-60px gap-30px mx-3 lg:mx-36 ">
        <div class="">
            <h2 class=" font-roboto_slab uppercase text-15/15 mx-auto mt-60px">{{'JOBTECH.KPI.KPI_HEADER'|t}}</h2>
            <h3 class="font-playfair text-left lg:text-30/40 text-25/40">{{'JOBTECH.KPI.KPI_INGRESS'|t}}</h3>
            <p class="font-roboto_reg text-18/26 lg:mb-60px lg:text-left lg:text-20/30">{{'JOBTECH.KPI.KPI_TEXT'|t}}<p>
            <div class="w-full font-roboto_reg text-sm xl:text-base mb-60px mt-30px">
            
                <div class="flex gap-4  mx-auto">                    
                    <div class="uppercase flex-none">
                        <a href="https://status.jobtechdev.se/">{{'JOBTECH.KPI.KPI_AVAILABILITY'|t}}</a>
                        <img class="inline  mx-1 lg:w-4 lg:h-4" src="/user/themes/jobtechtailwind/assets/external-link-icon-white.png " alt="{{'JOBTECH.CONTENT.EX_LINK'|t}}" >
                    </div>
                    <div class="uppercase flex-none">
                        <a href="https://data.jobtechdev.se/jobtechdev-daily-report/jobtechdev-daily-report-{{'now' | date("Y.m.d")}}.pdf">{{'JOBTECH.KPI.KPI_DATA'|t}}</a>
                        <img class="inline mx-1 lg:w-4 lg:h-4 " src="/user/themes/jobtechtailwind/assets/external-link-icon-white.png " alt="{{'JOBTECH.CONTENT.EX_LINK'|t}}" >
                    </div>               
                </div>              
            
            </div>
        </div>   
        
        <div class="w-full  lg:mt-20">

            <h3 class="font-roboto_reg text-18/26 mb-3 lg:text-20/30">{{'JOBTECH.KPI.KPI_TABLE_HEADER_RESOURCE'|t}}</h3>
            <table class="table-fixed w-full font-roboto_reg text-18/26 xl:text-base lg:text-base mt-20px">
                <thead class="text-left ">
                    <tr class="border-b-2">
                        <th>{{'JOBTECH.KPI.KPI_DATARESOURCE'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_COUNTS'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_NEW_MONTH'|t}}</th>
                    </tr>
                </thead>
                <tbody>
                
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_API'|t}}</td>
                        <td ><span  class="apis_yesterday " id="apis_yesterday2" >N/A </span> </td>
                        <td><span class="apis_avrage hidden" id="apis_avrage2">N/A</span>0</td>
                    </tr>
                    <!-- <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_DATASET'|t}}</td>
                        <td><span  class="datasets_yesterday" id="datasets_yesterday2">N/A </span>  </td>                        
                        <td><span class="datasets_avrage" id="datasets_avrage2">N/A</span> </td>
                    </tr> -->
                                
                    
                </tbody>
            </table>
            <h3 class="font-roboto_reg text-18/26 lg:text-20/30 mb-3"> {{'JOBTECH.KPI.KPI_TABLE_HEADER_USE'|t}}</h3>
            <table class="table-fixed w-full font-roboto_reg text-18/26 xl:text-base lg:text-base mt-0px">
                <thead class="text-left ">
                    <tr class="border-b-2">
                        <th>{{'JOBTECH.KPI.KPI_UTILIZATION'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_YESTERDAY'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_MONTH'|t}}*</th>
                    </tr>
                </thead>
                <tbody >
                
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_CLIENT'|t}}</td>
                        <td ><span class="clients_yesterday" id="clients_yesterday2">N/A </span></td>
                        <td><span class="clients_avrage" id="clients_avrage2">N/A</span>*</td>
                    </tr>
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_REQUEST'|t}}</td>
                        <td><span class="requests_yesterday" id="requests_yesterday2">N/A </span> {{'JOBTECH.KPI.KPI_MILLION'|t}} </td>                        
                        <td><span class="requests_avrage" id="requests_avrage2">N/A</span> {{'JOBTECH.KPI.KPI_MILLION'|t}}*</td>
                    </tr>
                                
                    
                </tbody>
            </table>
            <div class="lg:text-sm lg:mb-0 mb-30px mt-2">* {{'JOBTECH.KPI.KPI_VALUE'|t}} </div>
        </div>
        
            
        
    </div>    



</div>

<script>
var options = {year: 'numeric', month: 'numeric', day: 'numeric' };
let date = new Date();
let firstCurrentDate = new Date();
firstCurrentDate.setDate(1);
let firstCurrentDateStr = firstCurrentDate.toLocaleDateString("se-SE",options).replaceAll('-','');
let yesterdayStr = date.toISOString().split('T')[0].replaceAll('-','');






fetch(`https://data.jobtechdev.se/availability/kpi/${firstCurrentDateStr}/kpi_api_total_stats_monthly.json`)
    .then((response) => response.json())
    .then((data) => {
        document.getElementById('clients_avrage2').innerText = data.unique_client_ip_count;
        document.getElementById('requests_avrage2').innerText = numberFormat(data.request_count / 1000000);
        
        
       

        
    });
fetch(`https://data.jobtechdev.se/availability/kpi/${yesterdayStr}/kpi_api_total_stats_yesterday.json`)
    .then((response) => response.json())
    .then((data) => {
        document.getElementById('clients_yesterday2').innerText = data.unique_client_ip_count;
        document.getElementById('requests_yesterday2').innerText = numberFormat(data.request_count / 1000000);
        document.getElementById('apis_yesterday2').innerText = data.api_count;
        document.getElementById('apis_avrage2').innerText = data.api_count;
        

        
    });




function numberFormat(val){
    let lang = document.getElementsByName("html")
    console.log(document.documentElement.lang)
     return new Intl.NumberFormat(document.documentElement.lang,{ maximumSignificantDigits: 3 }).format(
    val
  )
}
</script>


